R10K-PUPPETFILE(1)

NAME
r10k-puppetfile - Perform operations on a Puppetfile

SYNOPSIS
10k puppetfile COMMAND options

DESCRIPTION
r10k puppetfile provides an implementation of the librarian-puppet style Puppetfile (http://bombasticmonkey.com/librarian-puppet/).

OPTIONS

•   -h --help Show help for this command

•   -t --trace Display stack traces on application crash

•   -v --verbose Set verbosity level

R10K COMMANDS

r10k puppetfile check
    Try and load the Puppetfile to verify the syntax is correct

r10k puppetfile install
    Install all modules from a Puppetfile

r10k puppetfile prurge
    Purge unmanaged modules from a Puppetfile managed directory